Paysera for Opencart
====================

Version: 1.1.7

Date: 2022-03-22

Contributors: Paysera

Tags: online payment, payment, payment gateway, SMS payments, international payments, mobile payment, sms pay, payment 
by sms, billing system, payment institution, macro payments, micro payments, sms bank

Requires at least: 2.3

Tested up to: 2.3

Stable tag: 1.1.7

Requires PHP: 5.4

License: GPLv3

License URL: http://www.gnu.org/licenses/gpl-3.0.html

Description
-----------

Collecting payments with Paysera is simple, fast and secure. It is enough to open Paysera account, install the plug-in 
to your store, and you will be able to use all of the most popular ways of payment collection in one place.
No need for complicated programming or integration work. With Paysera you will receive real time notifications 
about successful transactions in your online store, and the money will reach you sooner. No monthly, registration 
or connection fee.

It is simple to use and administer payment collection, and you can monitor movement of funds in your smartphone.
Client services and consultation takes place 7 days a week, from 8:00 till 20:00 (EET)
Payments are made in real time.

Paysera applies the lowest fees on the market, and payments from foreign banks and systems are converted 
at best possible rates.

To use Paysera payment gateway, register at paysera.com and create your project. To apply for Paysera go to this link: 
https://bank.paysera.com/en/registration#/registration. Our extension, your account and support is free. 
Only for selling a transaction fee is charged. For further information regarding the Paysera fees please visit: 
https://www.paysera.com/v2/en-GB/fees. 

== Benefits and possibilities of using Paysera checkout ==

 - Plenty of payment methods. Payments via more than 10 000 local and foreign banks, and with Visa, MasterCard, 
 Maestro cards. Payments via international payments systems, in cash and directly via Paysera.
 - Plenty of countries and currencies. Service your clients from all over the world. Paysera operates in 184 
 countries and supports more than 30 currencies. The payment window is translated to 18 languages. Let your clients 
 pay you conveniently and provide information the language they can understand.
 - Convenient administration. It is easy to manage one or several e-payment projects, as the account can be accessed 
 at any time of the day and from anywhere by logging in to Paysera e-payments system. 
 - Perhaps the lowest price on the market. Save money with Paysera Checkout. Our prices are among the best on the 
 market, and we apply very favorable currency exchanges rates when executing transfers from foreign banks and systems.
 - Real-time notifications. Receive information about a successful payment immediately and issue purchases to 
 clients faster. Be informed about a payment error instantly and return money with a click of a button.
 - All income to one account. It is easy to monitor and manage income when you do not have many accounts in 
 different banks. Income is collected to one Paysera account, which makes it even easier to see 
 the detailed statistics and form reports.
 - Safe payments online. Place the special sign "Safe payment online" and let your clients know that it is safe 
 to purchase goods or services on your website, as you are using Paysera solution for safe payments.
 - Leasing services. Provide your clients with the possibility of hire purchase. Along with payment methods, offer 
 leasing services provided by General Financing and MokiLizingas.
 
 Client services and consultation takes place 7 days a week, from 8:00 till 20:00 (EET).


Installation
------------

-= Installation by FTP =-


1. Download Paysera plugin zip.

2. Connect to server and go to Opencart base directory.

3. Open upload directory inside downloaded archive.

4. Extract files and directories to base directory.

5. Connect to Opencart admin panel.

6. Install and configure Paysera plugin:

    Extensions -> Extensions -> Payments -> Paysera payment Gateway -> Install

   Note: you must enter project id and password from Paysera project settings to be able to use it.

7. Save changes.


-= Installation from admin panel =-

1. Download Paysera plugin zip.

2. Connect to Opencart admin panel.

3. Upload Paysera plugin:

    Extensions -> Extensions Installer -> Upload

4. Install and configure Paysera plugin:

    Extensions -> Extensions -> Payments -> Paysera payment Gateway -> Install

   Note: you must enter project id and password from Paysera project settings to be able to use it.

5. Save changes.

Changelog
---------
= 1.1.7 =

* Update - Logo update

= 1.1.6 =

* Fix - Payment display fix
* Update - Translations change
* Update - New payment parameter

= 1.1.5 =

* Update - Updated WebToPay library to the latest

= 1.1.4 =

* Fix - Quality sign overwriting footer

= 1.1.3 =

* Update - Amount to cents round update
* Update - Improve callback check when currency conversion is used

= 1.1.2 =

* Update - Added pointer on payment method hover
* Update - Modification for lower PHP versions
* Fix - Insert missing translation
* Fix - Redirect to Paysera page

= 1.1.1 =

* Fix - getMethod fix

= 1.1.0 =

* Update - Checkout process pages change
* Update - Important data validation
* Update - Updated redirect links
* Update - Renewed readme info
* Feature - New features added
* Feature - New admin page with tabs created
* Feature - Added languages: LT, LV, RU, PL, ES

Upgrade Notice
--------------
= 1.1.7 =

Logo update.

= 1.1.6 =

Payment display fix, updated translations, new payment parameter.

= 1.1.5 =

WebToPay library update.

= 1.1.4 =

Quality sign display fix.

= 1.1.3 =

Minor updates in a request and a callback functions.

= 1.1.2 =

Minor updates and methods display fix.

= 1.1.1 =

Fix for older PHP version users.

= 1.1.0 =

New features added, checkout process pages update.


Support
-------

For any questions, please look for the answers at https://support.paysera.com or contact customer support center 
by email  support@paysera.com or by phone +44 20 80996963 | +370 700 17217.

For technical documentation visit: https://developers.paysera.com/
